Bug 435519 - [RHEL5] yp_order always returns order 0
[RHEL5] yp_order always returns order 0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 435520
  Show dependency treegraph
 
Reported: 2008-02-29 16:08 EST by Jeffrey Moyer
Modified: 2009-01-20 15:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix yp_order to actually return the order of the map (412 bytes, patch)
2008-02-29 16:08 EST, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2008-02-29 16:08:49 EST
Description of problem:

int
yp_order (const char *indomain, const char *inmap, unsigned int *outorder)
{
...
  if (result == YPERR_SUCCESS)   <========
    return result;

  *outorder = resp.ordernum;
  xdr_free ((xdrproc_t) xdr_ypresp_order, (char *) &resp);

  return result;
}

That test should be !=.

Version-Release number of selected component (if applicable):
glibc-2.5-21

How reproducible:
100%
Comment 1 Jeffrey Moyer 2008-02-29 16:08:49 EST
Created attachment 296415 [details]
fix yp_order to actually return the order of the map
Comment 2 Jeffrey Moyer 2008-03-04 13:50:45 EST
Upstream bug:
  http://sourceware.org/bugzilla/show_bug.cgi?id=5854

The patch was applied upstream.
Comment 3 RHEL Product and Program Management 2008-06-02 16:15:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 15:50:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0080.html

Note You need to log in before you can comment on or make changes to this bug.